summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2020-11-19 08:10:11 +0100
committerRemi Collet <remi@remirepo.net>2020-11-19 08:10:11 +0100
commit7a413c7407069a1c1a75bfd0f2dbde6ab3f2fd0b (patch)
tree642d789a9fd16c1fb8bc678127cc74b655395954
parent4caad769212a14a9e64c832b65bc32ce159113e3 (diff)
update to 2.13.0HEADmaster
raise dependency on PHP 7.3 switch to phpunit9
-rw-r--r--.gitignore2
-rw-r--r--composer.json18
-rw-r--r--php-laminas-feed.spec36
3 files changed, 35 insertions, 21 deletions
diff --git a/.gitignore b/.gitignore
index 1ab5c4f..01f0400 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,5 +1,7 @@
+clog
package-*.xml
*.tgz
+*.tar.bz2
*.tar.gz
*.tar.xz
*.tar.xz.asc
diff --git a/composer.json b/composer.json
index 0b0f8e9..736a7d2 100644
--- a/composer.json
+++ b/composer.json
@@ -19,13 +19,9 @@
"sort-packages": true
},
"extra": {
- "branch-alias": {
- "dev-master": "2.12.x-dev",
- "dev-develop": "2.13.x-dev"
- }
},
"require": {
- "php": "^5.6 || ^7.0",
+ "php": "^7.3 || ~8.0.0",
"ext-dom": "*",
"ext-libxml": "*",
"laminas/laminas-escaper": "^2.5.2",
@@ -37,10 +33,15 @@
"laminas/laminas-coding-standard": "~1.0.0",
"laminas/laminas-db": "^2.8.2",
"laminas/laminas-http": "^2.7",
- "laminas/laminas-servicemanager": "^2.7.8 || ^3.3",
+ "laminas/laminas-servicemanager": "^3.3",
"laminas/laminas-validator": "^2.10.1",
- "phpunit/phpunit": "^5.7.27 || ^6.5.14 || ^7.5.20",
- "psr/http-message": "^1.0.1"
+ "phpunit/phpunit": "^9.3",
+ "psalm/plugin-phpunit": "^0.13.0",
+ "psr/http-message": "^1.0.1",
+ "vimeo/psalm": "^4.1"
+ },
+ "conflict": {
+ "laminas/laminas-servicemanager": "<3.3"
},
"suggest": {
"laminas/laminas-cache": "Laminas\\Cache component, for optionally caching feeds between requests",
@@ -67,6 +68,7 @@
],
"cs-check": "phpcs",
"cs-fix": "phpcbf",
+ "static-analysis": "psalm --shepherd --stats",
"test": "phpunit --colors=always",
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
},
diff --git a/php-laminas-feed.spec b/php-laminas-feed.spec
index a9f7a24..e8f6ef6 100644
--- a/php-laminas-feed.spec
+++ b/php-laminas-feed.spec
@@ -7,7 +7,7 @@
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 8a193ac96ebcb3e16b6ee754ac2a889eefacb654
+%global gh_commit fb89aac1984222227f37792dd193d34829a0762f
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-feed
@@ -22,7 +22,7 @@
%endif
Name: php-%{gh_project}
-Version: 2.12.2
+Version: 2.13.0
Release: 1%{?dist}
Summary: %{namespace} Framework %{library} component
@@ -34,7 +34,7 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-BuildRequires: php(language) >= 5.6
+BuildRequires: php(language) >= 7.3
BuildRequires: php-ctype
BuildRequires: php-date
BuildRequires: php-dom
@@ -48,12 +48,14 @@ BuildRequires: php-tidy
# "laminas/laminas-coding-standard": "~1.0.0",
# "laminas/laminas-db": "^2.8.2",
# "laminas/laminas-http": "^2.7",
-# "laminas/laminas-servicemanager": "^2.7.8 || ^3.3",
+# "laminas/laminas-servicemanager": "^3.3",
# "laminas/laminas-validator": "^2.10.1",
-# "phpunit/phpunit": "^5.7.27 || ^6.5.14 || ^7.5.20",
-# "psr/http-message": "^1.0.1"
-%global phpunit %{_bindir}/phpunit7
-BuildRequires: phpunit7 >= 7.5.20
+# "phpunit/phpunit": "^9.3",
+# "psalm/plugin-phpunit": "^0.13.0",
+# "psr/http-message": "^1.0.1",
+# "vimeo/psalm": "^4.1"
+%global phpunit %{_bindir}/phpunit9
+BuildRequires: phpunit9 >= 9.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-composer(psr/http-message) >= 1.0.1 with php-composer(psr/http-message) < 2)
@@ -82,13 +84,13 @@ BuildRequires: php-laminas-validator
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^5.6 || ^7.0",
+# "php": "^7.3 || ~8.0.0",
# "ext-dom": "*",
# "ext-libxml": "*",
# "laminas/laminas-escaper": "^2.5.2",
# "laminas/laminas-stdlib": "^3.2.1",
# "laminas/laminas-zendframework-bridge": "^1.0"
-Requires: php(language) >= 5.6
+Requires: php(language) >= 7.3
Requires: php-dom
Requires: php-libxml
%if ! %{bootstrap}
@@ -133,7 +135,7 @@ Obsoletes: php-ZendFramework2-%{library} < 2.5
Provides: php-ZendFramework2-%{library} = %{version}
# Compatibily ensure by the bridge
Obsoletes: php-zendframework-%{zf_name} < 2.12.1
-Provides: php-zendframework-%{zf_name} = %{version}-99
+Provides: php-zendframework-%{zf_name} = %{version}
Provides: php-composer(%{gh_owner}/%{gh_project}) = %{version}
Provides: php-composer(zendframework/%{zf_name}) = %{version}
Provides: php-autoloader(%{gh_owner}/%{gh_project}) = %{version}
@@ -211,10 +213,10 @@ exit (class_exists("\\Zend\\%{library}\\Uri") ? 0 : 1);
: upstream test suite
ret=0
-for cmdarg in "php %{phpunit}" php72 php73 php74; do
+for cmdarg in "php %{phpunit}" php73 php74 php80; do
if which $cmdarg; then
set $cmdarg
- $1 -d memory_limit=1G ${2:-%{_bindir}/phpunit7} --verbose || ret=1
+ $1 -d memory_limit=1G ${2:-%{_bindir}/phpunit9} --verbose || ret=1
fi
done
exit $ret
@@ -234,6 +236,14 @@ exit $ret
%changelog
+* Thu Nov 19 2020 Remi Collet <remi@remirepo.net> - 2.13.0-1
+- update to 2.13.0
+- raise dependency on PHP 7.3
+- switch to phpunit9
+
+* Tue Aug 18 2020 Remi Collet <remi@remirepo.net> - 2.12.3-1
+- update to 2.12.3
+
* Mon Mar 30 2020 Remi Collet <remi@remirepo.net> - 2.12.2-1
- update to 2.12.2 (no change)